<?php
/**
 * OutboundMessagesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * OutboundMessagesApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class OutboundMessagesApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for deleteAllOutboundMessages
     *
     * Delete all messages..
     *
     */
    public function testDeleteAllOutboundMessages()
    {
    }

    /**
     * Test case for deleteOutboundMessage
     *
     * Delete a single message..
     *
     */
    public function testDeleteOutboundMessage()
    {
    }

    /**
     * Test case for deleteOutboundMessagesBulk
     *
     * Delete outbound messages by given ID(s) or delete all outbound messages..
     *
     */
    public function testDeleteOutboundMessagesBulk()
    {
    }

    /**
     * Test case for getAllOutboundMessages
     *
     * Get all user oubound messages..
     *
     */
    public function testGetAllOutboundMessages()
    {
    }

    /**
     * Test case for getMessagePreview
     *
     * Get messages preview (with tags merged) up to 100 messages per session..
     *
     */
    public function testGetMessagePreview()
    {
    }

    /**
     * Test case for getMessagePrice
     *
     * Check pricing for a new outbound message..
     *
     */
    public function testGetMessagePrice()
    {
    }

    /**
     * Test case for getMessagePrices
     *
     * Get message prices for all countries..
     *
     */
    public function testGetMessagePrices()
    {
    }

    /**
     * Test case for getOutboundMessage
     *
     * Get a single outgoing message..
     *
     */
    public function testGetOutboundMessage()
    {
    }

    /**
     * Test case for getOutboundMessagesHistory
     *
     * Get outbound messages history..
     *
     */
    public function testGetOutboundMessagesHistory()
    {
    }

    /**
     * Test case for searchOutboundMessages
     *
     * Find outbound messages by given parameters..
     *
     */
    public function testSearchOutboundMessages()
    {
    }

    /**
     * Test case for sendMessage
     *
     * Send a new outbound message..
     *
     */
    public function testSendMessage()
    {
    }

    /**
     * Test case for uploadMessageAttachement
     *
     * Upload a new file to insert it as a link..
     *
     */
    public function testUploadMessageAttachement()
    {
    }
}
